Package org.eclipse.ltk.core.refactoring.participants

# Class ParticipantManager

java.lang.Object
org.eclipse.ltk.core.refactoring.participants.ParticipantManager

public class ParticipantManager extends Object
Facade to access the rename, move, delete, create and copy participant extension point provided by the org.eclipse.ltk.core.refactoring plug-in.

Note: this class is not intended to be extended by clients.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Method Summary

Modifier and Type
Method
Description
`static CopyParticipant[]`
`loadCopyParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CopyArguments arguments, String[] affectedNatures, SharableParticipants shared)`
Loads the copy participants for the given element.
`static CopyParticipant[]`
`loadCopyParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CopyArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the copy participants for the given element.
`static CreateParticipant[]`
`loadCreateParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CreateArguments arguments, String[] affectedNatures, SharableParticipants shared)`
Loads the create participants for the given element.
`static CreateParticipant[]`
`loadCreateParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CreateArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the create participants for the given element.
`static DeleteParticipant[]`
`loadDeleteParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, DeleteArguments arguments, String[] affectedNatures, SharableParticipants shared)`
Loads the delete participants for the given element.
`static DeleteParticipant[]`
`loadDeleteParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, DeleteArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the delete participants for the given element.
`static MoveParticipant[]`
`loadMoveParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, MoveArguments arguments, String[] affectedNatures, SharableParticipants shared)`
Loads the move participants for the given element.
`static MoveParticipant[]`
`loadMoveParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, MoveArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the move participants for the given element.
`static RenameParticipant[]`
`loadRenameParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RenameArguments arguments, String[] affectedNatures, SharableParticipants shared)`
Loads the rename participants for the given element.
`static RenameParticipant[]`
`loadRenameParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RenameArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the rename participants for the given element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### loadRenameParticipants

public static RenameParticipant[] loadRenameParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RenameArguments arguments, String[] affectedNatures, SharableParticipants shared)
Loads the rename participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be renamed
  `arguments` - the rename arguments describing the rename
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of rename participants

### loadRenameParticipants

public static RenameParticipant[] loadRenameParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RenameArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)
Loads the rename participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be renamed
  `arguments` - the rename arguments describing the rename
  `filter` - a participant filter to exclude certain participants, or `null` if no filtering is desired
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of rename participants
Since:
  3.2

### loadMoveParticipants

public static MoveParticipant[] loadMoveParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, MoveArguments arguments, String[] affectedNatures, SharableParticipants shared)
Loads the move participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be moved
  `arguments` - the move arguments describing the move
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of move participants

### loadMoveParticipants

public static MoveParticipant[] loadMoveParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, MoveArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)
Loads the move participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be moved
  `arguments` - the move arguments describing the move
  `filter` - a participant filter to exclude certain participants, or `null` if no filtering is desired
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of move participants
Since:
  3.2

### loadDeleteParticipants

public static DeleteParticipant[] loadDeleteParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, DeleteArguments arguments, String[] affectedNatures, SharableParticipants shared)
Loads the delete participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be deleted
  `arguments` - the delete arguments describing the delete
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of delete participants

### loadDeleteParticipants

public static DeleteParticipant[] loadDeleteParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, DeleteArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)
Loads the delete participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be deleted
  `arguments` - the delete arguments describing the delete
  `filter` - a participant filter to exclude certain participants, or `null` if no filtering is desired
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of delete participants
Since:
  3.2

### loadCreateParticipants

public static CreateParticipant[] loadCreateParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CreateArguments arguments, String[] affectedNatures, SharableParticipants shared)
Loads the create participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be created or a corresponding descriptor
  `arguments` - the create arguments describing the create
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of create participants

### loadCreateParticipants

public static CreateParticipant[] loadCreateParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CreateArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)
Loads the create participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be created or a corresponding descriptor
  `arguments` - the create arguments describing the create
  `filter` - a participant filter to exclude certain participants, or `null` if no filtering is desired
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of create participants
Since:
  3.2

### loadCopyParticipants

public static CopyParticipant[] loadCopyParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CopyArguments arguments, String[] affectedNatures, SharableParticipants shared)
Loads the copy participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be copied or a corresponding descriptor
  `arguments` - the copy arguments describing the copy operation
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of copy participants
Since:
  3.1

### loadCopyParticipants

public static CopyParticipant[] loadCopyParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CopyArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)
Loads the copy participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be copied or a corresponding descriptor
  `arguments` - the copy arguments describing the copy operation
  `filter` - a participant filter to exclude certain participants, or `null` if no filtering is desired
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of copy participants
Since:
  3.2